Bug 198898 - system-config-network needs a new backend for /etc/hosts
system-config-network needs a new backend for /etc/hosts
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks: 87718 173725 188372 354921
  Show dependency treegraph
 
Reported: 2006-07-14 10:22 EDT by Nils Philippsen
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version: 1.4.7-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-11 17:20:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Nils Philippsen 2006-07-14 10:22:45 EDT
Tracker bug for all /etc/hosts related s-c-network bugs.

Description of problem:
The currently used rhpl.Conf.ConfEHosts and rhpl.Conf.ConfFHosts classes which
access host entries by their IP addresses or host names apparently can't handle
e.g. IPv6 entries which need a second line per host, or host name changes.

Version-Release number of selected component (if applicable):
1.3.30

I propose a new backend that in one way or another stores (see e.g.
system-config-nfs and how it handles unknown NFS options) everything in
/etc/hosts, regardless of whether it knows about it or not (this would ideally
allow preservation of comments, whitespace, new features like IPv6 entries even
if they're not handled by the application yet, ...). If you need info about
specific host names, IP addresses, there would be methods to do this which give
you objects that when manipulated translate back into actual changes in the conf
file object and finally the file.
Comment 1 Fedora Update System 2007-12-06 15:44:52 EST
system-config-network-1.4.7-1.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update system-config-network'
Comment 2 Fedora Update System 2008-01-11 17:20:28 EST
system-config-network-1.4.7-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.